char FuelDumpGaugeName[]  = GAUGE_NAME;
extern PELEMENT_HEADER   FuelDumpList;

void FSAPI GaugeCall (PGAUGEHDR pgauge, int service_id, UINT32 extra_data)
{
switch(service_id)
{
case PANEL_SERVICE_CONNECT_TO_WINDOW:
break;
case PANEL_SERVICE_PRE_INITIALIZE:
	lookup_var( &mvWeight );
	GetCapacity();
break;
case PANEL_SERVICE_PRE_UPDATE:
	if ( ipc_open == 0 )
		{
		if ( !FSUIPC_Open2(FSReq, &Result, Mem, Size) )
			ipc_open = 1;
		}
	iFlip++;
	if ( iFlip > 2 ) iFlip = 0;
	if ( iFlip == 0 )
	{
	lookup_var( &mvSeconds );
	ProcessPlease = 0;
	i=0;
	while ( i < 11 )
		{
		fActiveTank = Tank[i].lv.GetLVar();
		if ( fActiveTank != 0. && Tank[i].active == 0 && Tank[i].capacity > 0. ) 
			{
			Tank[i].active = 1;
			Tank[i].now = mvSeconds.var_value.n;
			}
		else if ( fActiveTank == 0. && Tank[i].active == 1 )
			{
			Tank[i].active = 0;
			}
		if ( Tank[i].capacity > 0. )
			{
			FSUIPC_Read( lev_addr[i], sizeof(DWORD), &dwTankLevel[i], &Result );
			ProcessPlease = 1;
			}
		i++;
		}
	if ( ProcessPlease )
		{
		FSUIPC_Process( &Result );
		ProcessPlease = 0;
		}
	j = 0;
	while ( j < 11 )
		{
		if ( Tank[j].active == 1 ) TankRoutine(j);
		j++;
		}
	}
break;
case PANEL_SERVICE_DISCONNECT:
	if ( ipc_open )
		{
		FSUIPC_Close();
		ipc_open = 0;
		}
break;
}
}

GAUGE_HEADER_FS800(GAUGEHDR_VAR_NAME, GAUGE_W, FuelDumpGaugeName, &FuelDumpList, NULL, GaugeCall, 0, 0);

MAKE_STATIC(DumpStatic,SmallBitmap,NULL,NULL ,IMAGE_USE_ERASE | IMAGE_USE_TRANSPARENCY | BIT7 | IMAGE_USE_LUMINOUS,0,0,0)
PELEMENT_HEADER FuelDumpList = &DumpStatic.header;
